{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Promotion "{{ promo.name }}"
{% endblock %}




{% block header %}
{% include  "sub_templates/header.html" %}
{% endblock %}



{% block main %}


<h1 class="text-2xl font-semibold text-center mb-4">Promotion "{{ promo.name }}"</h1>






<table class="w-full rounded-lg overflow-hidden border border-collapse">
    <tbody>
        <tr class="bg-gray-50 text-gray-900 text-sm">
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nom de la promotion</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nom du responsable</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre total d'étudiants
            </th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre d'étudiants en
                initial
            </th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre d'étudiants en
                apprentissage</th>

            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre
                d'étudiants n'ayant pas commencé les recherches</th>

            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre d'étudiants en
                période d'acceptation
            </th>

            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre d'étudiants ayant
                été acceptés
            </th>
        </tr>

        <tr class="bg-gray-50 text-gray-900 text-sm">
            <td class="px-2.5 py-2 overflow-hidden">{{ promo.name }}
            </td>
            <td class="px-2.5 py-2 overflow-hidden">
                <a href="{{ url_for('user_profil', id = get_promo_manager_by_id(promo.id).id) }}"
                    class="text-[var(--blue)] underline">{{ get_promo_manager_by_id(promo.id).first_name }}
                    {{ get_promo_manager_by_id(promo.id).last_name }}</a>
            </td>
            <td class="px-2.5 py-2 overflow-hidden">{{ get_nb_user_by_promo(promo.id) }}</td>
            <td class="px-2.5 py-2 overflow-hidden">{{ get_status_studenats_by_promo(promo.id)[1][0] }}</td>
            <td class="px-2.5 py-2 overflow-hidden">{{ get_status_studenats_by_promo(promo.id)[1][1] }}</td>
            <td class="px-2.5 py-2 overflow-hidden">{{ get_status_studenats_by_promo(promo.id)[0][0] }}
            <td class="px-2.5 py-2 overflow-hidden">{{ get_status_studenats_by_promo(promo.id)[0][1] }}
            <td class="px-2.5 py-2 overflow-hidden">{{ get_status_studenats_by_promo(promo.id)[0][2] }}
            </td>
        </tr>

    </tbody>
</table>


<div class="flex whitespace-nowrap gap-2 mx-auto w-fit mt-3">
    <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2"
        href="{{ url_for('promo_students', id = promo.id) }}">
        Voir les étudiants</a>

    {% if current_user.role_id == 3 %}
    <a href="{{ url_for('edit_promo', id = promo.id) }}"
        class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
        Modifier
    </a>

    <button onclick="confirm('Êtes-vous sûr de vouloir supprimer cette promotion ? ')?
            document.location.href=`{{ url_for('delete_promo', id = promo.id) }}`:null"
        class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
        Supprimer
    </button>

    {% elif current_user.role_id == 2 %}
    <a href="{{ url_for('add_problem') }}"
        class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
        Un problème ?
    </a>
    {% endif %}
</div>
{% endblock %}

{% block footer %}
{% include  "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}